﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Collections;
using Infragistics.Custom;
using Infragistics.Controls.Grids;

namespace Custom_CheckboxStateColumn
{
    public partial class MainPage : UserControl
    {
        ObservableCollection<DummyData> _data;

        public MainPage()
        {
            InitializeComponent();
            this.LayoutRoot.DataContext = this;
        }

    
        public IEnumerable Data
        {
            get
            {
                if (this._data == null)
                {
                    this._data = new ObservableCollection<DummyData>();
                    for (int i = 0; i < 2000; i++)
                    {
                        this._data.Add(new DummyData(){Index = i, Data="Data: " + i.ToString()});
                    }
                }
                return this._data;
            }
        }

     
        private void CheckBox_Checked(object sender, RoutedEventArgs e)
        {
            foreach (Row r in grid1.Rows)
            {
                ((CheckboxStateCell)r.Cells["Blegh"]).IsChecked = true;
            }
        }

        private void CheckBox_Unchecked(object sender, RoutedEventArgs e)
        {
            foreach (Row r in grid1.Rows)
            {
                ((CheckboxStateCell)r.Cells["Blegh"]).IsChecked = false;
            }
        }

    }

    public class DummyData
    {
        public int Index
        {
            get;
            set;
        }

        public string Data
        {
            get;
            set;
        }
    }
}
